apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    name: kiwiirc-kube
  name: kiwiirc-kube
  namespace: ci
spec:
  replicas: 1
  selector:
    matchLabels:
      name: kiwiirc-kube
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        name: kiwiirc-kube
    spec:
      containers:
      - env:
        - name: INSTANCE_NAME
          value: KubeIRC
        - name: IRC_UPSTREAM_HOST
          value: irc.freenode.net
        - name: IRC_UPSTREAM_PASSWORD
        - name: IRC_UPSTREAM_PORT
          value: "6667"
        - name: IRC_UPSTREAM_TIMEOUT
          value: "5"
        - name: IRC_UPSTREAM_TLS
          value: "False"
        - name: JWT_SECRET
          valueFrom:
            secretKeyRef:
              key: jwt-secret
              name: kiwiirc-kube
        - name: TZ
          value: Europe/Paris
        image: registry.gitlab.com/synacksynack/opsperator/docker-kiwiirc:master
        imagePullPolicy: Always
        livenessProbe:
          failureThreshold: 30
          httpGet:
            path: /
            port: 8080
            scheme: HTTP
          initialDelaySeconds: 30
          periodSeconds: 20
          successThreshold: 1
          timeoutSeconds: 8
        name: kiwiirc
        ports:
        - containerPort: 8080
          protocol: TCP
        readinessProbe:
          failureThreshold: 3
          httpGet:
            path: /
            port: 8080
            scheme: HTTP
          initialDelaySeconds: 5
          periodSeconds: 20
          successThreshold: 1
          timeoutSeconds: 5
        resources:
          limits:
            cpu: 200m
            memory: 768Mi
          requests:
            cpu: 10m
            memory: 512Mi
        volumeMounts:
        - mountPath: /etc/kiwiirc
          name: temp
          subPath: config
      volumes:
      - emptyDir: {}
        name: temp
